%define bname tcerl
Name: erlang-%bname
Version: 1.3.1
Release: alt3
Summary: Erlang driver for Tokyo Cabinet
License: Open Source
Group: Development/Other
URL: http://code.google.com/p/%bname/
Source: %bname-%version.tar
Patch: %bname-1.2.5f-alt.patch
Provides: %bname = %version-%release
BuildArch: noarch
Requires: erlang-%bname-drv = %version

BuildRequires: erlang erlang-otp-devel
BuildRequires: symlinks rpm-build-erlang

%description
Erlang driver for Tokyo Cabinet.


%package doc
Summary: Documentation for Erlang driver for Tokyo Cabinet
Group: Documentation
Requires: erlang-otp-common

%description doc
Documentation for Erlang driver for Tokyo Cabinet.


%prep
%setup -n %bname-%version
%patch -p1


%build
%configure \
    --disable-erlrc \
    ERLAPPDIR=%_otplibdir/%bname-%version \
    ERLDOCDIR=%_otplibdir/%bname-%version/doc \
    ERLC=%__erlc
%make_build


%install
%make_install DESTDIR=%buildroot install
chmod 644 %buildroot%_otplibdir/%bname-%version/ebin/*
install -d -m 0755 %buildroot%_docdir
ln -sf %buildroot{%_otplibdir/%bname-%version/doc,%_docdir/%bname-%version}
symlinks -csd %buildroot%_docdir


%files
%doc AUTHORS COPYING ChangeLog README TODO
%dir %_otplibdir/%bname-%version
%_otplibdir/%bname-%version/ebin


%files doc
%dir %_otplibdir/%bname-%version
%_otplibdir/%bname-%version/doc
%_docdir/%bname-%version


%changelog
* Sun Oct 05 2008 Led <led@altlinux.ru> 1.3.1-alt3
- fixed BuildRequires

* Fri Sep 12 2008 Led <led@altlinux.ru> 1.3.1-alt2
- fixed requires

* Fri Aug 01 2008 Led <led@altlinux.ru> 1.3.1-alt1
- 1.3.1

* Sun Jul 27 2008 Led <led@altlinux.ru> 1.2.5f-alt1
- initial build
